## org.jdom.output
Class DOMOutputter

    java.lang.Object
      |
      +--org.jdom.output.DOMOutputter

public class DOMOutputter
extends java.lang.Object

Takes a JDOM tree and outputs to a DOM tree.

Version:
  $Revision: 1.28 $, $Date: 2002/02/12 06:15:21 $
Author:
  Brett McLaughlin, Jason Hunter, Matthew Merlo, Dan Schaffer, Yusuf Goolamabbas, Bradley S. Huffman

Constructor Summary
`DOMOutputter()` This creates a new DOMOutputter which will attempt to first locate a DOM implementation to use via JAXP, and if JAXP does not exist or there's a problem, will fall back to the default parser.
`DOMOutputter(java.lang.String adapterClass)` This creates a new DOMOutputter using the specified DOMAdapter implementation as a way to choose the underlying parser.

Method Summary
`org.w3c.dom.Attr` `output(Attribute attribute)` This converts the JDOM `Attribute` parameter to a DOM `Attr`, returning the DOM version.
`protected org.w3c.dom.Attr` `output(Attribute attribute, org.w3c.dom.Document domDoc)`
`org.w3c.dom.Document` `output(Document document)` This converts the JDOM `Document` parameter to a DOM Document, returning the DOM version.
`org.w3c.dom.Element` `output(Element element)` This converts the JDOM `Element` parameter to a DOM Element, returning the DOM version.
`protected org.w3c.dom.Element` `output(Element element, org.w3c.dom.Document domDoc, org.jdom.output.NamespaceStack namespaces)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMOutputter

    public DOMOutputter()

  This creates a new DOMOutputter which will attempt to first locate a DOM implementation to use via JAXP, and if JAXP does not exist or there's a problem, will fall back to the default parser.

### DOMOutputter

    public DOMOutputter(java.lang.String adapterClass)

  This creates a new DOMOutputter using the specified DOMAdapter implementation as a way to choose the underlying parser.

  Parameters:
    `adapterClass` - `String` name of class to use for DOM output

Method Detail

### output

    public org.w3c.dom.Document output(Document document)
                                throws JDOMException

  This converts the JDOM `Document` parameter to a DOM Document, returning the DOM version. The DOM implementation is the one chosen in the constructor.

  Parameters:
    `document` - `Document` to output.
  Returns:
    an `org.w3c.dom.Document` version

### output

    public org.w3c.dom.Element output(Element element)
                               throws JDOMException

  This converts the JDOM `Element` parameter to a DOM Element, returning the DOM version.

  Parameters:
    `element` - `Element` to output.
  Returns:
    an `org.w3c.dom.Element` version

### output

    protected org.w3c.dom.Element output(Element element,
                                         org.w3c.dom.Document domDoc,
                                         org.jdom.output.NamespaceStack namespaces)
                                  throws JDOMException

### output

    public org.w3c.dom.Attr output(Attribute attribute)
                            throws JDOMException

  This converts the JDOM `Attribute` parameter to a DOM `Attr`, returning the DOM version.

  Parameters:
    `attribute` - `Attribute` to output.
  Returns:
    an `org.w3c.dom.Attr` version

### output

    protected org.w3c.dom.Attr output(Attribute attribute,
                                      org.w3c.dom.Document domDoc)
                               throws JDOMException

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.